[SCM] Samba Shared Repository - branch master updated

Andrew Bartlett abartlet at samba.org
Wed Aug 26 03:21:02 UTC 2020


The branch, master has been updated
       via  830c0206453 oss-fuzz: Ensure a UTF8 locale is set for the samba build
       via  49f58b2b093 oss-fuzz: Try harder to ensure we always fail fast
      from  102e2a26d3c s3: libsmb: Cleanup - remove an ugly sockaddr_in cast inside resolve_wins_send().

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 830c0206453b41bef87bdc9b309b968f5abd6200
Author: Andrew Bartlett <abartlet at samba.org>
Date:   Wed Aug 26 12:50:00 2020 +1200

    oss-fuzz: Ensure a UTF8 locale is set for the samba build
    
    This ensures that LANG=en_US.UTF8 is set, which
    Samba's build system needs to operate in UTF8 mode.
    
    The change to use flex to generate code meant that this
    difference between GitLab CI and oss-fuzz was exposed.
    
    REF: https://github.com/google/oss-fuzz/pull/4366
    
    Signed-off-by: Andrew Bartlett <abartlet at samba.org>
    Reviewed-by: Douglas Bagnall <douglas.bagnall at catalyst.net.nz>
    
    Autobuild-User(master): Andrew Bartlett <abartlet at samba.org>
    Autobuild-Date(master): Wed Aug 26 03:20:46 UTC 2020 on sn-devel-184

commit 49f58b2b093b962e2f3e060b1322a4e61be678a1
Author: Andrew Bartlett <abartlet at samba.org>
Date:   Wed Aug 26 12:47:04 2020 +1200

    oss-fuzz: Try harder to ensure we always fail fast
    
    During a previous attempt to fix the LANG= issue I changed
    the script invocation to be via a shell, so the set -x et al
    ensures these are always in place and we fail fast
    rather than failures only being detected by lack of output.
    
    Signed-off-by: Andrew Bartlett <abartlet at samba.org>
    Reviewed-by: Douglas Bagnall <douglas.bagnall at catalyst.net.nz>

-----------------------------------------------------------------------

Summary of changes:
 lib/fuzzing/oss-fuzz/build_samba.sh | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)


Changeset truncated at 500 lines:

diff --git a/lib/fuzzing/oss-fuzz/build_samba.sh b/lib/fuzzing/oss-fuzz/build_samba.sh
index 5d3bc3ff6c3..333e8c38561 100755
--- a/lib/fuzzing/oss-fuzz/build_samba.sh
+++ b/lib/fuzzing/oss-fuzz/build_samba.sh
@@ -1,4 +1,4 @@
-#!/bin/sh -eux
+#!/bin/sh
 #
 # This is not a general-purpose build script, but instead one specific to the Google oss-fuzz compile environment.
 #
@@ -14,6 +14,19 @@
 # Additional arguments are passed to configure, to allow this to be
 # tested in autobuild.py
 #
+
+# Ensure we give good trace info, fail right away and fail with unset
+# variables
+set -e
+set -x
+set -u
+
+# It is critical that this script, just as the rest of Samba's GitLab
+# CI docker has LANG set to en_US.utf8 (oss-fuzz fails to set this)
+. /etc/default/locale
+export LANG
+export LC_ALL
+
 ADDITIONAL_CFLAGS="$CFLAGS"
 export ADDITIONAL_CFLAGS
 CFLAGS=""


-- 
Samba Shared Repository



More information about the samba-cvs mailing list